Bug 695444 - [abrt] gtkwave-3.3.20-2.fc14: optimize_vcd_file: Process /usr/bin/gtkwave was killed by signal 11 (SIGSEGV)
Summary: [abrt] gtkwave-3.3.20-2.fc14: optimize_vcd_file: Process /usr/bin/gtkwave was...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkwave
Version: 14
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e5932d621dd0f584491af4ea0b6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-11 18:51 UTC by Jeff
Modified: 2011-05-16 21:03 UTC (History)
1 user (show)

Fixed In Version: gtkwave-3.3.21-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 06:28:53 UTC


Attachments (Terms of Use)
File: backtrace (24.56 KB, text/plain)
2011-04-11 18:51 UTC, Jeff
no flags Details
Output of vvp which causes segfault (66.11 KB, application/octet-stream)
2011-04-11 18:52 UTC, Jeff
no flags Details
gtkwave sav file which causes crash with dump.lx2 (517 bytes, application/octet-stream)
2011-04-11 18:53 UTC, Jeff
no flags Details

Description Jeff 2011-04-11 18:51:00 UTC
abrt version: 1.1.17
architecture: i686
Attached file: backtrace, 25151 bytes
cmdline: gtkwave dump.lx2 -o phase_dynamic_acc_tb.sav
component: gtkwave
Attached file: coredump, 29106176 bytes
crash_function: optimize_vcd_file
executable: /usr/bin/gtkwave
kernel: 2.6.35.11-83.fc14.i686.PAE
package: gtkwave-3.3.20-2.fc14
rating: 4
reason: Process /usr/bin/gtkwave was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1302547184
uid: 500

comment
-----
Run gtkwave with my output file and old save gtkwave save file. The save file was generated from an earlier version of the verilog code, so some of the names may have changed. It opens correctly, but reloading cases gtkwave to crash.

I will try to attach the dump.lx2 file and .sav file to the bug report.

How to reproduce
-----
1. gtkwave dump.lx2 -o phase_dynamic_acc_tb.sav
2. reload the data with ctrl-shift-r
3. crash

Comment 1 Jeff 2011-04-11 18:51:02 UTC
Created attachment 491313 [details]
File: backtrace

Comment 2 Jeff 2011-04-11 18:52:41 UTC
Created attachment 491314 [details]
Output of vvp which causes segfault

Comment 3 Jeff 2011-04-11 18:53:56 UTC
Created attachment 491316 [details]
gtkwave sav file which causes crash with dump.lx2

Comment 4 Paul Howarth 2011-04-18 15:25:34 UTC
It crashes for me on x86_64 too; thanks for the reproducer. I've passed on your report to the author.

Comment 5 Fedora Update System 2011-04-30 17:43:07 UTC
gtkwave-3.3.21-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gtkwave-3.3.21-1.fc14

Comment 6 Fedora Update System 2011-04-30 17:43:19 UTC
gtkwave-3.3.21-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gtkwave-3.3.21-1.el6

Comment 7 Fedora Update System 2011-04-30 17:43:30 UTC
gtkwave-3.3.21-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gtkwave-3.3.21-1.fc13

Comment 8 Fedora Update System 2011-04-30 17:43:42 UTC
gtkwave-3.3.21-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gtkwave-3.3.21-1.fc15

Comment 9 Fedora Update System 2011-05-05 05:08:17 UTC
gtkwave-3.3.21-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-05-09 01:51:53 UTC
gtkwave-3.3.21-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-05-09 01:52:25 UTC
gtkwave-3.3.21-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-05-16 21:03:53 UTC
gtkwave-3.3.21-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.